Name:       perl-MooseX-App-Cmd
Version:    0.09
Release:    7%{?dist}
# see lib/MooseX/App/Cmd.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Mashes up MooseX::Getopt and App::Cmd
Source:     http://search.cpan.org/CPAN/authors/id/M/MJ/MJGARDNER/MooseX-App-Cmd-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-App-Cmd
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(App::Cmd) >= 0.3
BuildRequires: perl(App::Cmd::Command)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.091
BuildRequires: perl(Moose) >= 0.86
BuildRequires: perl(Moose::Object)
BuildRequires: perl(MooseX::ConfigFromFile)
BuildRequires: perl(MooseX::Getopt) >= 0.18
BuildRequires: perl(MooseX::Has::Options)
BuildRequires: perl(MooseX::MarkAsMethods)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(YAML)
BuildRequires: perl(base)

# we don't pick up Moose keywords automagically yet
Requires: perl(App::Cmd) >= 0.3
Requires: perl(App::Cmd::Command)
Requires: perl(MooseX::Getopt) >= 0.18
Requires: perl(MooseX::ConfigFromFile)

Requires: perl(Moose) >= 0.86

%{?perl_default_filter}

%description
This module marries App::Cmd with MooseX::Getopt.

Use it like the App::Cmd manpage advises (especially see the
App::Cmd::Tutorial manpage), swapping App::Cmd::Command for
MooseX::App::Cmd::Command.

Then you can write your commands as Moose classes, with the
MooseX::Getopt defining the options for you instead of 'opt_spec'
returning a Getopt::Long::Descriptive spec.

%prep
%setup -q -n MooseX-App-Cmd-%{version}

# silence rpmlint warnings
sed -i '1s|^#!perl|#!%{__perl}|' t/*.t
find -type f -print0 | xargs -0 chmod -x

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README TODO t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.09-7
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Iain Arnell <iarnell@gmail.com> 0.09-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.09-3
- Perl 5.16 rebuild

* Fri May 18 2012 Iain Arnell <iarnell@gmail.com> 0.09-2
- add LICENSE, README and TODO to files

* Fri May 18 2012 Iain Arnell <iarnell@gmail.com> 0.09-1
- update to latest upstream version

* Sat Mar 03 2012 Iain Arnell <iarnell@gmail.com> 0.07-1
- update to latest upstream version
- clean up spec for modern rpmbuild
- BR perl(Test::Output) for improved test coverage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.06-6
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.06-4
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.06-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.06-2
- rebuild against perl 5.10.1

* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- switch filtering systems
- auto-update to 0.06 (by cpan-spec-update 0.01)
- altered br on perl(App::Cmd) (0 => 0.3)
- altered req on perl(App::Cmd) (0 => 0.3)
- added a new req on perl(Test::use::ok) (version 0)

* Wed Aug 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- auto-update to 0.05 (by cpan-spec-update 0.01)
- altered br on perl(Moose) (0 => 0.86)
- altered br on perl(MooseX::Getopt) (0.09 => 0.18)
- added a new req on perl(Getopt::Long::Descriptive) (version 0)
- added a new req on perl(Moose) (version 0.86)
- altered req on perl(MooseX::Getopt) (0.09 => 0.18)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- I swear I fixed those "manpage" references...

* Wed Nov 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- update for submission

* Mon Oct 27 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.5)
